IPSW-DYLD-EXTRACT(1)

NAME
ipsw-dyld-extract - Extract dylib(s) for reverse engineering

SYNOPSIS
ipsw dyld extract [flags]

DESCRIPTION
Extract dylib(s) for reverse engineering

OPTIONS
-a, --all[=false]
    Extract all dylibs

-c, --cache=""
    Path to .a2s addr to sym cache file (speeds up analysis)

--force[=false]
    Overwrite existing extracted dylib(s)

-h, --help[=false]
    help for extract

--objc[=false]
    Add ObjC metadata to extracted dylib(s) symtab (implies --slide)

-o, --output=""
    Directory to extract the dylib(s)

--slide[=false]
    Apply slide info to extracted dylib(s)

--stubs[=false]
    Add stub islands to extracted dylib(s) symtab

OPTIONS INHERITED FROM PARENT COMMANDS
--color[=false]
    colorize output

--config=""
    config file (default is $HOME/.config/ipsw/config.yaml)

--no-color[=false]
    disable colorize output

-V, --verbose[=false]
    verbose output

SEE ALSO
ipsw-dyld(1)

HISTORY
1-Jul-2026 Auto generated by spf13/cobra